> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agipower.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Content



## OpenAPI

````yaml /openapi.json post /v1/publishers/{provider}/models/{model}:generateContent
openapi: 3.1.0
info:
  title: AGIPower API
  version: 1.0.0
  description: >-
    Interactive API reference for AGIPower-compatible OpenAI, Anthropic, Google
    Vertex AI, and management endpoints.
servers:
  - url: https://api.agipower.ai
security:
  - bearerAuth: []
paths:
  /v1/publishers/{provider}/models/{model}:generateContent:
    post:
      tags:
        - Google Vertex AI Compatible API
      summary: Generate Content
      operationId: generateContent
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
            example: google
        - name: model
          in: path
          required: true
          schema:
            type: string
            example: gemini-2.0-flash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateContentRequest'
      responses:
        '200':
          description: Generated content response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
components:
  schemas:
    GenerateContentRequest:
      type: object
      required:
        - contents
      properties:
        contents:
          type: array
          items:
            type: object
            additionalProperties: true
        generationConfig:
          type: object
          additionalProperties: true
        tools:
          type: array
          items:
            type: object
            additionalProperties: true
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````